Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::ICollisionCallback Class Reference

Callback interface for catching events of collisions. More...

`#include <ISceneNodeAnimatorCollisionResponse.h>`

Inheritance diagram for irr::scene::ICollisionCallback:

List of all members.

## Public Member Functions

virtual bool | onCollision (const ISceneNodeAnimatorCollisionResponse &animator)=0
| Will be called when a collision occurrs.

## Detailed Description

Callback interface for catching events of collisions.

Implement this interface and use ISceneNodeAnimatorCollisionResponse::setCollisionCallback to be able to be notified if a collision has occurred.

Definition at line 22 of file ISceneNodeAnimatorCollisionResponse.h.

## Member Function Documentation

virtual bool irr::scene::ICollisionCallback::onCollision | ( | const ISceneNodeAnimatorCollisionResponse & | animator | ) | `[pure virtual]`

Will be called when a collision occurrs.

See ISceneNodeAnimatorCollisionResponse::setCollisionCallback for more information.

Parameters:

  | animator,: | Collision response animator in which the collision occurred. You can call this animator's methods to find the node, collisionPoint and/or collision triangle.

Return values:

  | true | if the collision was handled in the animator. The animator's target node will *not* be stopped at the collision point, but will instead move fully to the location that triggered the collision check.
  | false | if the collision was not handled in the animator. The animator's target node will be moved to the collision position.

The documentation for this class was generated from the following file:

- ISceneNodeAnimatorCollisionResponse.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:07 2010 by Doxygen (1.6.2)